Subject: Re: bug#75521: scratch/igc: Delete unused macro DEFVAR_LISP_NOPROX

From: Stefan Kangas <[email-masked]>
Date: Tue, 14 Jan 2025 16:46:06 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Kangas <[email-masked]>
>> Date: Mon, 13 Jan 2025 21:09:02 +0000
>> Cc: [email-masked], [email-masked]
>>
>> Yes, indeed, but that seems like an optimization that is not worth
>> doing.  Not these days, at any rate.
>
> If you try to staticpro too many variables, the build will fail
> because Emacs runs out of space in staticvec.  Not everyone knows what
> to do in this case, and it's an annoyance when this happens.  So I
> would not say so easily that it's an optimization not worth doing, no.

NSTATICS was last increased by Paul in 2013 (4195afc389bb).

I ask to consider again what are the benefits of keeping this macro.

>> Note that with MPS, DEFVAR_LISP and DEFVAR_LISP_NOPRO are equivalent.
>
> When the igc branch lands, this will be a non-issue, yes.  One more
> reason not to waste too much effort on this code now.  But since the
> genie is out of the bottle, we must.

Are you okay with removing this on the scratch/igc branch only?

>> So by getting rid of DEFVAR_LISP_NOPRO, we would reduce the delta
>> between igc and master as a nice bonus.
>
> Why do we need to reduce the delta? what does that get us?

IME, all things being equal, it's always going to be easier to review
and eventually merge changes if the delta is smaller.